[PATCH] xfs/259: disable CRC if testing with 512 bytes block size

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



With CRCs being the default, TEST_DEV can still be created with
"-m crc=0" option explicitly, then 512 bytes block size is picked up by
the test, which causes mkfs failure in later mkfs tests.

Fix it by adding "-m crc=0" mkfs option in this case.

Signed-off-by: Eryu Guan <eguan@xxxxxxxxxx>
---
 tests/xfs/259 | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/tests/xfs/259 b/tests/xfs/259
index 16c1935..b5681fe 100755
--- a/tests/xfs/259
+++ b/tests/xfs/259
@@ -62,6 +62,12 @@ else
 	sizes_to_check="512 1024 2048 4096"
 fi
 
+# If XFS mounted at $TEST_DIR is created with crc disabled explicitly, option
+# "-m crc=0" should be added to mkfs option as blocksize is 512
+mkfs_opts="-l size=32m -b size=$blocksize"
+if [ $_fs_has_crcs -ne 1 -a "$XFS_MKFS_HAS_NO_META_SUPPORT" == "" ]; then
+	mkfs_opts="$mkfs_opts -m crc=0"
+fi
 four_TB=$(_math "2^42")
 for del in $sizes_to_check; do
 	ddseek=$(_math "$four_TB - $del")
@@ -71,8 +77,7 @@ for del in $sizes_to_check; do
 					>/dev/null 2>&1 || echo "dd failed"
 	lofile=$(losetup -f)
 	losetup $lofile "$testfile"
-	"$MKFS_XFS_PROG" -l size=32m -b size=$blocksize $lofile \
-					>/dev/null || echo "mkfs failed!"
+	"$MKFS_XFS_PROG" $mkfs_opts $lofile >/dev/null || echo "mkfs failed!"
 	sync
 	losetup -d $lofile
 done
-- 
2.5.0

_______________________________________________
xfs mailing list
xfs@xxxxxxxxxxx
http://oss.sgi.com/mailman/listinfo/xfs



[Index of Archives]     [Linux XFS Devel]     [Linux Filesystem Development]     [Filesystem Testing]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux Kernel]     [Linux SCSI]

  Powered by Linux